Debian Bug report logs - #694388
[installation-reports] Wheezy amd64 netinstall n-i Beta4 on Lenovo IdeaPad P500 w/GPT + Win8

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: Chris.Knadle@coredump.us

Date: Sun, 25 Nov 2012 23:57:02 UTC

Severity: important

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#694388; Package installation-reports. (Sun, 25 Nov 2012 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 25 Nov 2012 23:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: submit@bugs.debian.org
Cc: Ron Videtto <rvidetto@optonline.net>
Subject: [installation-reports] Wheezy amd64 netinstall n-i Beta4 on Lenovo IdeaPad P500 w/GPT + Win8
Date: Sun, 25 Nov 2012 18:54:08 -0500
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: important

installer: Chris Knadle <chris.knadle@coredump.us>
laptop owner: Ron Videtto <rvidetto@optonline.net>

Boot method: CD -- Wheezy amd64 d-i Beta4 netinstall

Image version: http://cdimage.debian.org/cdimage/wheezy_di_beta4/amd64/iso-cd/debian-wheezy-
DI-b4-amd64-netinst.iso

Date: started 2012-11-24 @ 11pm, finished ~3am the next morning

Machine: Lenovo IdeaPad P500
Processor: Intel i7
Memory: 8 GB DDR3
Video: Intel HD Graphics 4000

Partitions:  GPT partition table; Partitions as shown in gparted:
Partition   FileSystem MountPoint Label       Size      Used    Unused   Flags
----------|-----------|----------|-----------|---------|-------|--------|-------------
/dev/sda1 | ntfs      |          |WINRE_DRV  |1000 MiB |466 MiB|533 MiB |hidden,diag
/dev/sda2 | fat32     |          |SYSTEM_DRV | 260 MiB | 31 MiB|228 MiB |boot, hidden
/dev/sda3 | fat32     |          |LRS_ESP    |1000 MiB |500 MiB|499 MiB |hidden
/dev/sda4 | unknown   |          |           | 128 MiB |    ---|    --- |msftres
/dev/sda5 | ntfs      |          |Windows8_OS| 786 GiB | 34 GiB|751 GiB |
/dev/sda8 | unknown   |          |           |   1 MiB |    ---|    --- |bios_grub
/dev/sda9 | ext4      | /        |           |  93 GiB |  5 GiB| 88 GiB |
/dev/sda10| linux-swap|          |           |   4 GiB |    ---|    --- |
/dev/sda6 | ntfs      |          |LENOVO     |  25 GiB |  3 GiB| 22 GiB |
/dev/sda7 | ntfs      |          |PBR_DRV    |  20 GiB |  9 GiB| 11 GiB |hidden, diag

Output of lspci -knn (or lspci -nn):
   Will update report when info available from laptop owner.

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [E]  (SecureBoot issues -- fine otherwise)
Detect network card:    [E]  (missing firmware on both wireless and wired NICs)
Configure network:      [O]
Detect CD:              [O]  (works once SecureBoot issue resolved)
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]  (grub2 leaves Windows8 in an unbootable state)
Overall install:        [E]  (grub2 required manual boot entry, some issues with
                              booting Windows8 remain)

Comments/Problems:

  Executive summary:
    - UEFI SecureBoot issue would (silently) not allow booting via CD
    - no information in Lenovo documentation given with laptop on how to get
      into BIOS; requires pressing hidden button on the /side/ of the laptop
      while computer is off to do so
    - laptop does not come with any reinstallation media; reinstallation or
      "recovery" is done via the hidden "Novo" button mentioned above.
    - missing firmware for Debian, confusion on how to remedy [but was resolved]
    - Grub2 leaves Windows8 in unbootable state
    - Grub2 requires manual boot entry via /etc/grub.d/40_custom to boot
      hidden partition 2.  This allows booting Windows8 but has an error
      that requires keyboard entry to get past, so the box will not come up
      on its own automatically.

Install details:

  UEFI SecureBoot
  ---------------
  The Lenovo IdeaPad P500 came with no documentation about how to get into the
  BIOS, or even that such a thing existed, and there were no prompts at bootup
  concerning such either.  An inserted CD seemed to be scanned at bootup but
  was silently ignored.  A web search yielded a Lenovo IdeaPad Z500/P500 User
  Guide:
     http://download.lenovo.com/consumer/mobiles_pub/ideapad_z500p500_ug_v1.0_july_2012_english.pdf

  page 20 mentions getting into the BIOS via pressing the "Novo" key while
  the laptop is off; page 5 shows that this "Novo" key is on the /side/ of the
  laptop right next to the connector for the AC power adapter jack.  This
  button is inset such that it requires using something like the tip of a pen
  to press it.

  The BIOS itself has less help than BIOSes usually have; we set SecureBoot to
  "disabled" which required a reboot to complete, then set the SecureBoot mode
  to "legacy bootup".  I'm unable to find any documentation on the P500 BIOS
  settings.

  Shrinking Windows8 partition
  ----------------------------
  Booted to a Knoppix CD, version 7.0.4 (from 2012-08-20); that worked fine,
     exept that Compiz had some wobbly window and 'cube' effects that were
     activated undesirably due to palm of the hand brushing against the
     touchpad device
  Tried 'fdisk' -- refused to operate on a GPT partion map.
  'parted' was able to show the partition list.
  Used 'ntfsresize' to shrink the Windows8 filesystem by 100 GB, but it
     doesn't shrink the partition on its own
  'parted' refused to operate on an NTFS partition
  'gparted' was able to shrink the NTFS partition.

  Debian installation
  -------------------
  The user chose the KDE desktop environment and Graphical Install.  

  Early in the CD install process D-I asked for firmware for both the
  wireless and wired devices.  The first screen asked for files
  iwlwifi-2030-6.ucode and iwlwifi-2030-5.ucode, but gave no hint as to where
  to get these files from.  The second screen asked for file rtl8105e-1.fw.
  I managed to install these on my own laptop in Debian Sid via the
  firmware-iwlwifi and firmware-realtek packages, then copy the files to a
  USB stick -- however I found that these were only recognized when the
  requested files were on the /root/ directory on the USB stick.  I could not
  find file iwlwifi-2050-5.ucode, but the installation functioned without it.

  Installation was smooth otherwise.  Grub2 was installed to the MBR.

  Post-installation issues
  ------------------------
  Debian Wheezy booted fine, X started fine, KDE4 seemed to operate as normal,
  networking worked fine.  I didn't try to test 3D compositing and I don't
  think that's a big concern right now.

  Grub2 (os-prober) detected partitions for Windows8 at partion 3 (recovery)
  and 5 (loader) and made boot entries for both -- however /neither/ of these
  were usable after installation; both end up with an error message from the
  Windows Boot Manager relating to file \Boot\BCD having been modified and
  now having status "0xc000000e".  [A camera picture of this is attached.]
  This meant that Windows 8 was left in a non-bootable state.

  To get around this thus required making a manual entry via listing the GPT
  partitions using gparted to list the partitions, finding the UUID via the
  blkid command, and then making manual entries in the /etc/grub.d/40_custom
  config file, running 'update-grub', and repeatedly rebooting to figure out
  which if any of these were bootable.  After testing all of them, only one
  partition was bootable -- partition 2, the SYSTEM_DRV fat32 [boot, hidden]
  partition; booting this partition comes up with an error:

      Remove disks or other media.
      Press any key to restart

  after pressing a key, the system attempts to boot via PXE bootup over the
  network, and after that fails Windows 8 starts normally.  We thus removed
  all other manually-entered boot entries than this one, and made this one
  the default.

  So with some foreknowledge and manual intervention the box is in a usable
  but nonoptimal state.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[DSC00138.JPG (image/jpeg, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#694388; Package installation-reports. (Thu, 29 Nov 2012 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 29 Nov 2012 03:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 694388@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 694388@bugs.debian.org, Ron Videtto <rvidetto@optonline.net>
Subject: lscpi data, BCD file information
Date: Wed, 28 Nov 2012 22:48:53 -0500
[Message part 1 (text/plain, inline)]
Additional information for bug report; thanks, Ron, for retrieving and
sending me the information.  :-)


I'm attaching the \Boot\BCD file that the Windows Boot Manager is complaining
about; 'file' reports this to be:
   $ file BCD
   BCD: MS Windows registry file, NT/2000 or above

:-(  The Debian 'reglookup' package is able to parse this; it looks like it's
got partition information in it for Windows 8 to be able to find bootable
elements.


Output of 'lscpi -knn' on the IdeaPad P500:
-------------------------------------------
00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: agpgart-intel
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
        Subsystem: Lenovo Device [17aa:3904]
        Kernel driver in use: i915
00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: xhci_hcd
00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: ehci_hcd
00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: snd_hda_intel
00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
        Kernel driver in use: pcieport
00:1c.1 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 [8086:1e12] (rev c4)
        Kernel driver in use: pcieport
00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: ehci_hcd
00:1f.0 ISA bridge [0601]: Intel Corporation HM76 Express Chipset LPC Controller [8086:1e59] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
00:1f.2 SATA controller [0106]: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e03] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller [8086:1e22] (rev 04)
        Subsystem: Lenovo Device [17aa:3977]
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 05)
        Subsystem: Lenovo Device [17aa:3977]
        Kernel driver in use: r8169
02:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 2230 [8086:0888] (rev c4)
        Subsystem: Intel Corporation Centrino Wireless-N 2230 BGN [8086:4262]
        Kernel driver in use: iwlwifi

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[BCD (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#694388; Package installation-reports. (Tue, 25 Dec 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 25 Dec 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 694388@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: steve@einval.com
Cc: Chris.Knadle@coredump.us, 694388@bugs.debian.org, Ron Videtto <rvidetto@optonline.net>
Subject: Bug#694388: [installation-reports] Wheezy amd64 netinstall n-i Beta4 on Lenovo IdeaPad P500 w/GPT + Win8
Date: Tue, 25 Dec 2012 20:06:47 +0100
[Message part 1 (text/plain, inline)]
Hi Steve,

here's another EFI thing… unfortunately it appears the initial #694388
report didn't reach the list due to size constraints. Restoring old
subject for easier tracking.

Chris Knadle <Chris.Knadle@coredump.us> (28/11/2012):
> Additional information for bug report; thanks, Ron, for retrieving and
> sending me the information.  :-)
> 
> 
> I'm attaching the \Boot\BCD file that the Windows Boot Manager is complaining
> about; 'file' reports this to be:
>    $ file BCD
>    BCD: MS Windows registry file, NT/2000 or above
> 
> :-(  The Debian 'reglookup' package is able to parse this; it looks like it's
> got partition information in it for Windows 8 to be able to find bootable
> elements.
> 
> 
> Output of 'lscpi -knn' on the IdeaPad P500:
> -------------------------------------------
> 00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: agpgart-intel
> 00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
>         Subsystem: Lenovo Device [17aa:3904]
>         Kernel driver in use: i915
> 00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: xhci_hcd
> 00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
> 00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: ehci_hcd
> 00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: snd_hda_intel
> 00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
>         Kernel driver in use: pcieport
> 00:1c.1 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 [8086:1e12] (rev c4)
>         Kernel driver in use: pcieport
> 00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: ehci_hcd
> 00:1f.0 ISA bridge [0601]: Intel Corporation HM76 Express Chipset LPC Controller [8086:1e59] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
> 00:1f.2 SATA controller [0106]: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e03] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: ahci
> 00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller [8086:1e22] (rev 04)
>         Subsystem: Lenovo Device [17aa:3977]
> 01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10ec:8136] (rev 05)
>         Subsystem: Lenovo Device [17aa:3977]
>         Kernel driver in use: r8169
> 02:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 2230 [8086:0888] (rev c4)
>         Subsystem: Intel Corporation Centrino Wireless-N 2230 BGN [8086:4262]
>         Kernel driver in use: iwlwifi

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Fri, 30 Aug 2013 13:15:26 GMT) Full text and rfc822 format available.

Notification sent to Chris.Knadle@coredump.us:
Bug acknowledged by developer. (Fri, 30 Aug 2013 13:15:26 GMT) Full text and rfc822 format available.

Message #20 received at 694388-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org, 664142-done@bugs.debian.org, 621919-done@bugs.debian.org, 618432-done@bugs.debian.org, 673910-done@bugs.debian.org, 699293-done@bugs.debian.org, 697692-done@bugs.debian.org, 696877-done@bugs.debian.org, 694570-done@bugs.debian.org, 694388-done@bugs.debian.org, 689512-done@bugs.debian.org, 687811-done@bugs.debian.org, 686665-done@bugs.debian.org, 686032-done@bugs.debian.org, 685886-done@bugs.debian.org, 685414-done@bugs.debian.org, 680631-done@bugs.debian.org, 680631-done@bugs.debian.org, 677476-done@bugs.debian.org, 671751-done@bugs.debian.org
Subject: dealing with old installation-reports
Date: Fri, 30 Aug 2013 12:45:13 +0200
[Message part 1 (text/plain, inline)]
reassign 604033 debian-installer
severity 604033 wishlist
forcemerge 604033 699430
retitle 699430 debian-installer: support for Intel Matrix Raid (RST, imsm)
reassign 699293 pcmciautils-udeb
thanks

Hi,

thank you for submitting installation reports, much appreciated.

I read through all the bugs mentioned here (and I'm sure they were read by 
several people at the time they were submitted) and am closing them now as/if
- they (finally) indicated success and/or
- I know from first hand experience that the functionality is working in 
Wheezy and/or
- they only contained very little information and/or
- they contained user errors and/or
- they were caused by broken hardware and/or
- they have been from a development phase where things were not stable and/or
- they are quite old (and thus likely fixed today) and/or
- moreinfo was asked and not given.

If I've closed a bug incorrectly please do reply (it's easy to reopen and I'll 
do if requested) or just file a new one - thats often better, as the bug log 
will be clearer and shorter and not contain cruft.


cheers,
        Holger
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Sep 2013 07:36:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:20:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.